package com.zhongshu.card.client.type;

import java.util.Map;

public enum JobFlowMap {

    P801(Map.of(JobFlowType.CrateOrder, "standardCreatOrder", JobFlowType.CratePlayOrder, "standarPay", JobFlowType.Verification, "standardVerificationJob", JobFlowType.Delivery, "standardDeliveryJob")),
    P802(Map.of(JobFlowType.CrateOrder, "videoOrder", JobFlowType.CratePlayOrder, "standarPay", JobFlowType.Verification, "standardVerificationJob", JobFlowType.Delivery, "videoDelivery")),
    P803(Map.of(JobFlowType.CrateOrder, "standardCreatOrder", JobFlowType.CratePlayOrder, "standarPay", JobFlowType.Verification, "standardVerificationJob", JobFlowType.Delivery, "standardDeliveryJob")),
    P804(Map.of(JobFlowType.CrateOrder, "standardCreatOrder", JobFlowType.CratePlayOrder, "standarPay", JobFlowType.Verification, "standardVerificationJob", JobFlowType.Delivery, "standardDeliveryJob")),
    P805(Map.of(JobFlowType.CrateOrder, "standardCreatOrder", JobFlowType.CratePlayOrder, "standarPay", JobFlowType.Verification, "standardVerificationJob", JobFlowType.Delivery, "standardDeliveryJob")),
    P806(Map.of(JobFlowType.CrateOrder, "standardCreatOrder", JobFlowType.CratePlayOrder, "standarPay", JobFlowType.Verification, "standardVerificationJob", JobFlowType.Delivery, "standardDeliveryJob")),
    P807(Map.of(JobFlowType.CrateOrder, "standardCreatOrder", JobFlowType.CratePlayOrder, "standarPay", JobFlowType.Verification, "standardVerificationJob", JobFlowType.Delivery, "standardDeliveryJob")),
    P808(Map.of(JobFlowType.CrateOrder, "standardCreatOrder", JobFlowType.CratePlayOrder, "standarPay", JobFlowType.Verification, "standardVerificationJob", JobFlowType.Delivery, "standardDeliveryJob")),
    P809(Map.of(JobFlowType.CrateOrder, "standardCreatOrder", JobFlowType.CratePlayOrder, "standarPay", JobFlowType.Verification, "standardVerificationJob", JobFlowType.Delivery, "standardDeliveryJob")),
    Pcod(Map.of(JobFlowType.CrateOrder, "pcodCreatOrder", JobFlowType.CratePlayOrder, "standarPay", JobFlowType.Verification, "standardVerificationJob", JobFlowType.Delivery, "pcodDeliveryJob")),
    Activity(Map.of(JobFlowType.CrateOrder, "standardCreatOrder", JobFlowType.CratePlayOrder, "standarPay", JobFlowType.Verification, "standardVerificationJob", JobFlowType.Delivery, "standardDeliveryJob")),
    XiaoJu(Map.of(JobFlowType.CrateOrder, "standardCreatOrder", JobFlowType.CratePlayOrder, "standarPay", JobFlowType.Verification, "standardVerificationJob", JobFlowType.Delivery, "standardDeliveryJob")),
    Ticket(Map.of(JobFlowType.CrateOrder, "standardCreatOrder", JobFlowType.CratePlayOrder, "ticetPay", JobFlowType.Verification, "standardVerificationJob", JobFlowType.Delivery, "ticketDelivery")),
    Hotel(Map.of(JobFlowType.CrateOrder, "standardCreatOrder", JobFlowType.CratePlayOrder, "hotelPay", JobFlowType.Verification, "standardVerificationJob", JobFlowType.Delivery, "hotelDelivery")),

    ;

    JobFlowMap(Map<JobFlowType, String> jobMapping) {
        this.jobMapping = jobMapping;
    }

    private Map<JobFlowType, String> jobMapping;

    public Map<JobFlowType, String> getJobMapping() {

        return jobMapping;
    }


}
